Bug 821576 - ABRT Logger misses to include generated backtrace or maps in text file (while checkboxes are ticked)
ABRT Logger misses to include generated backtrace or maps in text file (while...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-14 21:15 EDT by Xavier Hourcade
Modified: 2013-02-13 02:53 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 02:53:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ABRT wizard confirmation and reporter screen captures (155.58 KB, application/x-gzip)
2012-05-19 14:34 EDT, Xavier Hourcade
no flags Details

  None (edit)
Description Xavier Hourcade 2012-05-14 21:15:18 EDT
Description of problem:

  When using ABRT's "Logger" reporter, backtrace is viewable in its own tab,
  as well as accessible from the last screen's "click to edit" row,
  where its checkbox is correctly ticked by default.

  However, in the effectively generated text file, backtrace is missing.

Version-Release number of selected component (if applicable):

  abrt-2.0.7-2.fc16.x86_64

How reproducible:

  Always

Steps to Reproduce:

  1. Choose local backtrace generation and Logger as reporter
  2. Check backtrace tab and "click to edit" contents, checkbox is ticked
  3. Complete wizard
  
Actual results:

  Generated text file does not include backtrace

Expected results:

  Generated text file does include backtrace

Context:

  https://bugzilla.rpmfusion.org/show_bug.cgi?id=2299

Potentially related (although not about the Logger itself)

  Bug 742270
  Bug 741518
  Bug 520194
Comment 1 Xavier Hourcade 2012-05-15 14:54:43 EDT
Map is also missing in the generated file (probably others)
Comment 2 Jakub Filak 2012-05-18 08:09:16 EDT
I tested the same scenario as you described and it works for me. There is probably a problem with size of generated files. Large text files (bigger than 4kB) are excluded from textual part of all report types. In case of Logger reporter, large text files are not available at all. In case of Bugzilla reporter, large text file should be available as an attachement.

How big are the missing files?
Comment 3 Xavier Hourcade 2012-05-19 14:34:57 EDT
Created attachment 585599 [details]
ABRT wizard confirmation and reporter screen captures

> Large text files (bigger than 4kB) are excluded from textual part of
> all report types.

Thanks, rational explanations are blessed :)
Yes, the missing bits are over 4KB (see `ls -la` at the end of this comment).


> In case of Logger reporter, large text files are not available at all.

Here, what I can see is not what you write: not only they *are* available for selection in ABRT inclusion screen (please see attached screen caps), but their "oversize" status (and automatic exclusion) are *not* reported, neither in ABRT confirmation screen, nor in ABRT reporting (summary) screen. Hence the present ticket ;p

Please also consider that, to the eyes or not-so-technical Users, each element constituting a given report may not be obvious to identify (eg. backtrace or maps would "look like chinese" to them). Users may be required to remove personal informations (if they wish and can), but certainly not to double-check by themselves, by looking *AGAIN* at the concatenated report, which info was or not included despite ABRT GUI promises.

In regards to the 4KB limit itself :- To my understanding, the whole point of the Logger reporter is to archive one single file, on disk, that contains everything we want to keep safely. Since the target is on-disk, the 4KB limitation doesn't make sense, and defeats the whole purpose of the confirmation screen. Such limitation shouldn't be applied to the Logger reporter. And without backtraces, what are worth most bug reports anyway ?

Then for any reporter, ABRT wizard's confirmation screen should
- at least highlight "oversized files" as such
- maybe even prevent their selection

Or, at the very least, ABRT wizard's report screen should
- list all discarded files, with their full path
- provide an xdg-open link to the spool directory

Users could then act accordingly, either by:
- clicking "edit" (to reduce the file size, if appropriate)
- otherwise prepare themselves to extra report steps
  (by file, even if they are not capable of recognize each content).

As for the overall report size, what is the point of the "size" shown at the top of the confirmation screen ? Currently, it seems to be:
- the *apparent* size (i.e. `du -sb`) for the whole spool directory of that bug
- the total size, disregarding to the selection
(i.e. in my example case, 32 MiB coredump is part of that sum, while not selected, and disk usage is only 8.9 MiB for the whole directory).

Hope that helps somehow,

$ ls -la ~/.abrt/spool/ccpp-2012-05-18-00:57:02-23118/
total 8.9M
   5 May 18 00:57 abrt_version
   4 May 18 00:57 analyzer
   6 May 18 00:57 architecture
 18K May 19 18:18 backtrace
   1 May 19 18:18 backtrace_rating
3.9K May 19 18:16 build_ids
  17 May 18 00:57 cmdline
  18 May 19 18:16 comment
   8 May 18 00:57 component
 32M May 18 00:57 coredump
   1 May 18 01:18 count
  11 May 19 18:18 crash_function
8.8K May 18 00:57 dso_list
  40 May 19 18:18 duphash
1.7K May 18 00:57 environ
 651 May 19 18:18 event_log
  17 May 18 00:57 executable
  16 May 18 00:57 hostname
  19 May 18 00:57 kernel
 63K May 18 00:57 maps
  25 May 18 00:57 os_release
  21 May 18 00:57 package
   5 May 18 00:57 pid
  20 May 18 00:57 pwd
  59 May 18 00:57 reason
3.9K May 19 18:18 smolt_data
  10 May 18 00:57 time
   4 May 18 00:57 uid
   5 May 18 00:57 username
  40 May 18 00:57 uuid
6.2K May 18 00:57 var_log_messages
 782 May 19 18:18 xsession_errors
Comment 4 Fedora End Of Life 2013-01-16 04:53:41 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 02:53:44 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.